Public Class Linia

    Private idTram As Integer
    Private carril As Integer
    Dim polilinia As New PolylineGeometry

    '------------------------------------------------------------------------------------------
    'Constructor de la Classe LiniaContinua.
    '------------------------------------------------------------------------------------------
    Public Sub New(ByVal nIdTram As Integer, ByVal nCarril As Integer)

        lIdTram = nIdTram
        lCarril = nCarril

    End Sub

    '--------------------------------------------------------------------------------
    ' Getters i Setters
    '--------------------------------------------------------------------------------
    Public Property lIdTram() As Integer
        Get
            Return idTram
        End Get
        Set(ByVal idTr As Integer)
            idTram = idTr
        End Set
    End Property

    Public Property lCarril() As Integer
        Get
            Return carril
        End Get
        Set(ByVal carr As Integer)
            carril = carr
        End Set
    End Property

    Public Property lPolilinia() As PolylineGeometry
        Get
            Return polilinia
        End Get
        Set(ByVal line As PolylineGeometry)
            polilinia = line
        End Set
    End Property


    '-------------------------------------------------------------------------------------------
    'Funci generarPolilinia(): Genera una polilinia a partir dels punts extrets. Aquesta 
    'polilinia equival als Trams. Sobre aquesta polilinia farem els calculs per crear el poligon.
    '-------------------------------------------------------------------------------------------
    Sub generarPolilinia(ByVal x As Double, ByVal y As Double)

        Dim punt As New PBasic.point

        punt.X = x
        punt.Y = y
        polilinia.Points.Add(punt)

    End Sub

End Class
