'*****************************************************************************
'Classe Senyal: genera una imatge raster de cada senyal necessria en les
'coordenades que li indiquem. Establirem un conveni per cada senyalitzaci
'*****************************************************************************
Public Class Senyal

    Private idTram As Integer
    Private path As String, tipus As String
    Private mida As Double, ampladaTram As Double
    Private escala As Integer, posicio As Integer
    Dim polilinia As New PolylineGeometry
    Dim p1 As New PBasic.point, p2 As New PBasic.point
    Dim matriu As New PBasic.Matrix
    Dim rang As New Object



    '------------------------------------------------------------------------------------------
    'Constructor de la Classe Senyals.
    '------------------------------------------------------------------------------------------
    Public Sub New(ByVal nIdTram As Integer, ByVal nPath As String, ByVal nTipus As String)

        sIdTram = nIdTram
        sPath = nPath
        sTipus = nTipus

    End Sub

    '--------------------------------------------------------------------------------
    ' Getters i Setters
    '--------------------------------------------------------------------------------
    Public Property sIdTram() As Integer
        Get
            Return idTram
        End Get
        Set(ByVal idTr As Integer)
            idTram = idTr
        End Set
    End Property

    Public Property sPath() As String
        Get
            Return path
        End Get
        Set(ByVal arxiu As String)
            path = arxiu
        End Set
    End Property

    Public Property sTipus() As String
        Get
            Return tipus
        End Get
        Set(ByVal type As String)
            tipus = type
        End Set
    End Property

    Public Property sEscala() As Integer
        Get
            Return escala
        End Get
        Set(ByVal esca As Integer)
            escala = esca
        End Set
    End Property

    Public Property sPosicio() As Integer
        Get
            Return posicio
        End Get
        Set(ByVal pos As Integer)
            posicio = pos
        End Set
    End Property

    Public Property sP1() As PBasic.point
        Get
            Return p1
        End Get
        Set(ByVal pt1 As PBasic.point)
            p1 = pt1
        End Set
    End Property

    Public Property sP2() As PBasic.point
        Get
            Return p2
        End Get
        Set(ByVal pt2 As PBasic.point)
            p2 = pt2
        End Set
    End Property


    Public Property sMatriu() As PBasic.Matrix
        Get
            Return matriu
        End Get
        Set(ByVal mat As PBasic.Matrix)
            matriu = mat
        End Set
    End Property

    Public Property sRang() As Object
        Get
            Return rang
        End Get
        Set(ByVal range As Object)
            rang = range
        End Set
    End Property






End Class
